package com.bankaudit.process.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="audit_rating_composite_overlay")
public class AuditRatingCompositeOverlay implements Serializable{
	
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;	
		
	@Id
	@Column(name="audit_id")
	private String auditId;
	
	@Id
	@Column(name="audit_type_code")
	private String auditTypeCode;
		
	@Id
	@Column(name="overlay_code")
	private String overlayCode;
	
	@Column(name="overlay_name")
	private String overlayName;
	
	@Column(name="sl_no")
	private String slNo;
	
	@Column(name="overlay_value")
	private String overlayValue;
	
	@Column(name="input_overlay_mapping")
	private String inputOverlayMapping;
	
	@Column(name="remarks")
	private String remarks;
	
	@Column(name="status")
	private String status;
		
	@Column(name="entity_status")
	private String entityStatus;
	
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	
	public String getAuditId() {
		return auditId;
	}

	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}
	
	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getOverlayCode() {
		return overlayCode;
	}

	public void setOverlayCode(String overlayCode) {
		this.overlayCode = overlayCode;
	}

	public String getOverlayName() {
		return overlayName;
	}

	public void setOverlayName(String overlayName) {
		this.overlayName = overlayName;
	}

	public String getSlNo() {
		return slNo;
	}

	public void setSlNo(String slNo) {
		this.slNo = slNo;
	}
	
	public String getOverlayValue() {
		return overlayValue;
	}

	public void setOverlayValue(String overlayValue) {
		this.overlayValue = overlayValue;
	}

	public String getInputOverlayMapping() {
		return inputOverlayMapping;
	}

	public void setInputOverlayMapping(String inputOverlayMapping) {
		this.inputOverlayMapping = inputOverlayMapping;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getEntityStatus() {
		return entityStatus;
	}

	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	public String getMaker() {
		return maker;
	}

	public void setMaker(String maker) {
		this.maker = maker;
	}

	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}
		
	
	}
